2024-06-05 01:14:32 UTC
86.2 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.10-release
SWIFT_PLATFORMubuntu22.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.10-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:2ec76a50fe7c8d5db9ec25590b9217e14e3920513c6e7b5be55db72a16b55f7c - 33.67% (29 MB)
[#001] sha256:8f5d26235702e9ee7cb31538dd54dec58e90e34cb8cd14200eed99f0a5e765df - 21.23% (18.3 MB)
[#002] sha256:fae9fa1feb3b6ebbd9d0bf2a372c3c01f2152541fb232b8691f4a00f11a6cd2f - 45.11% (38.9 MB)
/bin/sh -c #(nop) ARG RELEASE
2024-06-03 10:32:23 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2024-06-03 10:32:23 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2024-06-03 10:32:23 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04
2024-06-03 10:32:25 UTC/bin/sh -c #(nop) ADD file:89847d76d242dea90ede05e9e1e13a1ff4400a65eafbe2d6e31e086c93893580 in /
2024-06-03 10:32:26 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2024-06-05 01:11:23 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2024-06-05 01:11:23 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2024-06-05 01:13:54 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*
2024-06-05 01:13:55 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2024-06-05 01:13:55 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04
2024-06-05 01:13:55 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release
2024-06-05 01:13:55 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE
2024-06-05 01:13:55 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2024-06-05 01:13:55 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org
2024-06-05 01:14:32 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg
2024-06-05 01:42:20 UTC
83.5 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.10-release
SWIFT_PLATFORMubuntu22.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.10-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:2741160b46783cff15aad1d825ac5be29d819aaa773f4270d133fb57683fbbd0 - 32.43% (27.1 MB)
[#001] sha256:2a219656884c465a5a8dc18f71ff4c0590f0c40afde6ae40d03b623b2e724bf3 - 21.8% (18.2 MB)
[#002] sha256:1605938cae900cee0809ea1ecb6e1ed5edfa1c879fa8b1ec67ee790c39b2589b - 45.78% (38.2 MB)
/bin/sh -c #(nop) ARG RELEASE
2024-06-03 10:30:07 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2024-06-03 10:30:07 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2024-06-03 10:30:07 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04
2024-06-03 10:30:11 UTC/bin/sh -c #(nop) ADD file:5f73ea0f53302f1771b6d2cb5650f715247ad02d80e986d67b2d55c22712f1ca in /
2024-06-03 10:30:12 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2024-06-05 01:38:35 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2024-06-05 01:38:35 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2024-06-05 01:41:49 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*
2024-06-05 01:41:49 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2024-06-05 01:41:49 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu22.04
2024-06-05 01:41:49 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release
2024-06-05 01:41:50 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE
2024-06-05 01:41:50 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2024-06-05 01:41:50 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org
2024-06-05 01:42:20 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.